/*
Theme Name: Willy Roussel
Description: Theme de Willy Roussel - Charpente Couverture Zinguerie Bardage Isolation Plomberie
Author: Delphine LEVACHER
Author URI: https://www.dlcrea.com
Template: Divi
Version: 1.1
*/

/* CENTRER DU CONTENU VERTICALEMENT*/
.dc-centrer-verticalement {
	display: flex;
	flex-direction: column;
	justify-content: center;
  	display: -webkit-box;
	display: -webkit-flex;
	display: -moz-box;
	display: -ms-flexbox;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-webkit-flex-direction: column;
	 -moz-box-orient: vertical;
	 -moz-box-direction: normal;
	  -ms-flex-direction: column;
	-webkit-box-pack: center;
	-webkit-justify-content: center;
	-moz-box-pack: center;
	-ms-flex-pack: center;
}

/*INVERSER LE SENS DES COLONNES SUR MOBILE*/
@media only screen and (max-width : 980px) {
	.dc-inverser-colonnes--section .dc-inverser-colonnes--ligne {
		display: -webkit-flex;
		display: -ms-flex;
		display: flex;
		-webkit-flex-direction: column-reverse;
		-ms-flex-direction: column-reverse;
		flex-direction: column-reverse;
	}
}

/*MENU MOBILE : en pleine largeur et le hamburger devient une croix pour fermer*/
.et_mobile_menu {
	margin-left: -30px;
	padding: 5%;
	width: calc( 100% + 60px);
}
.mobile_nav.opened .mobile_menu_bar:before {
	content: "\4d";
}

/* AUGMENTER LA LARGEUR CHAMP RÉSULTAT CAPTCHA*/
.et_pb_contact_right p input {
	max-width: 50px;
}

/*METTRE EXPOSANTS ET INDICES À LA BONNE TAILLE*/
sup, sub {
    font-size: 70%;
}

.charpente-accueil, .couvreur-accueil,.zingueur-accueil,.bardage-accueil,.isolation-accueil,.plomberie-accueil {
    background-position: center top!important;
}
.charpente-accueil:hover {
    background-size: 100% auto, 100% auto, 100% auto !important;
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0) 59%, rgba(0, 0, 0, 0.90) 100%),url("../../uploads/2025/12/couvreur_pavilly_barentin-1.png"),url("../../uploads/2025/12/charpente_bois_willy-roussel_pavilly.webp")!important;

}
.couvreur-accueil:hover {
    background-size: 100% auto, 100% auto, 100% auto !important;
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0) 59%, rgba(0, 0, 0, 0.90) 100%),url("../../uploads/2025/12/couvreur_pavilly_barentin-1.png"),url("../../uploads/2025/12/Couvreur_Willy-Roussel_Pavilly-Barentin-Rouen.webp")!important;

}
.zingueur-accueil:hover {
    background-size: 100% auto, 100% auto, 100% auto !important;
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0) 59%, rgba(0, 0, 0, 0.90) 100%),url("../../uploads/2025/12/couvreur_pavilly_barentin-1.png"),url("../../uploads/2025/12/Zingueur_Willy-Roussel_Pavilly-Barentin-Rouen.webp")!important;

}
.bardage-accueil:hover {
    background-size: 100% auto, 100% auto, 100% auto !important;
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0) 59%, rgba(0, 0, 0, 0.90) 100%),url("../../uploads/2025/12/couvreur_pavilly_barentin-1.png"),url("../../uploads/2025/12/Bardage_Willy-Roussel_Pavilly-Barentin-Rouen.webp")!important;

}
.isolation-accueil:hover {
    background-size: 100% auto, 100% auto, 100% auto !important;
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0) 59%, rgba(0, 0, 0, 0.90) 100%),url("../../uploads/2025/12/couvreur_pavilly_barentin-1.png"),url("../../uploads/2025/12/Isolation_Willy-Roussel_Pavilly-Barentin-Rouen.webp")!important;

}
.plomberie-accueil:hover {
    background-size: 100% auto, 100% auto, 100% auto !important;
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0) 59%, rgba(0, 0, 0, 0.90) 100%),url("../../uploads/2025/12/couvreur_pavilly_barentin-1.png"),url("../../uploads/2025/12/Plomberie_Willy-Roussel_Pavilly-Barentin-Rouen.webp")!important;

}
    
/*move wrapped title, meta, and text up over the image*/
.pa-blog-text {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 100%;
	padding: 30px;
	z-index: 1;
}
/*keep the moved items positioned with their parent items*/
.et_pb_blog_grid article {
	position: relative;
}
/*remove spacing around entire blog post*/
.et_pb_blog_grid .et_pb_post {
	padding: 0px;
}
/*remove negative margins on blog featured image*/
.et_pb_image_container {
	margin: 0;
}
/*remove the margin below the featured image frame*/
.et_pb_post .entry-featured-image-url {
	margin: 0;
}
.et_pb_blog_grid .entry-featured-image-url::before {
	content: '';
	position: absolute;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.5);
}
.et_pb_menu_0_tb_header .mobile_nav .mobile_menu_bar::before {
  color: #e42219!important;
  font-size: 40px!important;
}
    @media only screen and (max-width : 980px) {
        .et_pb_menu_0_tb_header.et_pb_menu ul li a {
            color:#000000!important;
        }
        .et_pb_menu .et_mobile_menu, .et_pb_menu .et_mobile_menu ul {
            text-align:center!important;
        }
        .et_pb_menu .et_mobile_menu {
            padding:3%!important;
        }
        #services .et_pb_text_2, #services .et_pb_text_3, #services .et_pb_text_4, #services .et_pb_text_5, #services .et_pb_text_6, #services .et_pb_text_7 {
            padding-top: 250px !important;
            padding-bottom: 100px !important;
        }
        .charpente-accueil:hover, .couvreur-accueil:hover, .zingueur-accueil:hover, .bardage-accueil:hover, .isolation-accueil:hover, .plomberie-accueil:hover {
            background-size: 100% auto,100% auto,cover!important;
        }

    }
.et_pb_section_0_tb_header {
    background-color: rgba(0, 0, 0, 0)!important;
}
.mentionslegalesfooter a {
    color:rgba(256, 256, 256, 0.7)!important;
}.mentionslegalesfooter a:hover {
    color:#e42219!important;
}
.mentionsl a {
    color:#ffffff!important;
}